import { ElementRef, QueryList, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
export declare class GcListBoxColumnComponent {
    name: string;
    label: string;
    width: number | string;
    isValuePath: boolean;
    visible: boolean;
    clickSort: boolean;
    contentAlignment: GC.InputMan.Alignment;
    headerAlignment: GC.InputMan.Alignment;
    showTip: boolean;
}
export declare class GcListBoxComponent extends GcComponents<GC.InputMan.GcListBox> {
    constructor(ref: ElementRef);
    items: Array<object> | Array<string>;
    columns: Array<GC.InputMan.ColumnConfig>;
    virtualMode: boolean;
    allowResize: boolean;
    selectionMode: string;
    selectedIndex: number;
    checkedIndex: number;
    selectedIndices: number[];
    checkedIndices: number[];
    allowColumnResize: boolean;
    overflow: string;
    width: number;
    height: number;
    itemHeight: number;
    checkOnClick: boolean;
    visibleItems: number;
    visible: boolean;
    enabled: boolean;
    showTip: boolean;
    multiColumn: boolean;
    colHeaderHeight: number;
    showHeader: boolean;
    valueMemberPath: string;
    displayMemberPath: string;
    showCheckBox: boolean;
    itemTemplate: string | string[];
    headerTemplate: string;
    footerTemplate: string;
    emptyTemplate: string;
    load: Function;
    pageSize: number;
    generatingItem: (args: GC.InputMan.IItemGeneratingArgs) => void;
    selectTemplate: (args: GC.InputMan.ITemplateSelectArgs) => string;
    formatItem: (args: GC.InputMan.IItemArgs) => void;
    checkedChanged: EventEmitter<object>;
    selectedChanged: EventEmitter<object>;
    focusedChanged: EventEmitter<object>;
    itemClick: EventEmitter<object>;
    loadComplete: EventEmitter<object>;
    itemsChanged: EventEmitter<object>;
    selectedIndexChange: EventEmitter<number>;
    checkedIndexChange: EventEmitter<number>;
    selectedIndicesChange: EventEmitter<Array<number>>;
    checkedIndicesChange: EventEmitter<Array<number>>;
    columnComponents: QueryList<GcListBoxColumnComponent>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
}
